Package: org.grails.core.artefact

## [Java] Class DomainClassArtefactHandler

- org.grails.core.artefact.DomainClassArtefactHandler

- All Implemented Interfaces and Traits:
    GrailsApplicationAware, org.springframework.core.Ordered

      public class DomainClassArtefactHandler
      extends ArtefactHandlerAdapter

  Evaluates the conventions that define a domain class in Grails.

  Authors:
    Graeme Rocher
    Marc Palmer (marc@anyware.co.uk)

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `PLUGIN_NAME` |
    `static java.lang.String` | `TYPE` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DomainClassArtefactHandler ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getOrder()`
    `` | `java.lang.String` | `getPluginName()`
    `` | `void` | `initialize(ArtefactInfo artefacts)` Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping
    `` | `boolean` | `isArtefact(org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `boolean` | `isArtefactClass(java.lang.Class clazz)`
    `` | `protected boolean` | `isArtefactResource(Resource resource)`
    `` | `static boolean` | `isDomainClass(java.lang.Class<?> clazz, boolean allowProxyClass)`
    `` | `static boolean` | `isDomainClass(java.lang.Class<?> clazz)`
    `` | `protected boolean` | `isValidArtefactClassNode(org.codehaus.groovy.ast.ClassNode classNode, int modifiers)`
    `` | `GrailsClass` | `newArtefactClass(java.lang.Class artefactClass)`
    `` | `void` | `setGrailsApplication(GrailsApplication grailsApplication)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArtefactHandlerAdapter` | `getPluginName, isArtefact, isArtefact, isArtefactClass, newArtefactClass, getArtefactForFeature, isArtefactGrailsClass, initialize, getType, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String PLUGIN_NAME

    - #### public static final java.lang.String TYPE

  - ### Constructor Detail

    - #### public DomainClassArtefactHandler()

  - ### Method Detail

    - #### @java.lang.Override public int getOrder()

    - #### @java.lang.Override public java.lang.String getPluginName()

    - #### @java.lang.Override public void initialize(ArtefactInfo artefacts)

      Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping

    - #### @java.lang.Override public boolean isArtefact(org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public boolean isArtefactClass(java.lang.Class clazz)

    - #### @java.lang.Override protected boolean isArtefactResource(Resource resource)

    - #### public static boolean isDomainClass(java.lang.Class<?> clazz, boolean allowProxyClass)

    - #### public static boolean isDomainClass(java.lang.Class<?> clazz)

    - #### @java.lang.Override protected boolean isValidArtefactClassNode(org.codehaus.groovy.ast.ClassNode classNode, int modifiers)

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public GrailsClass newArtefactClass(java.lang.Class artefactClass)

    - #### public void setGrailsApplication(GrailsApplication grailsApplication)